Bug 795643 - Python client pushes extracted comments instead of translator comments
Summary: Python client pushes extracted comments instead of translator comments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zanata-python-client
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: James Ni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: zanata-1.5.0
TreeView+ depends on / blocked
 
Reported: 2012-02-21 06:34 UTC by David Mason
Modified: 2012-07-17 17:30 UTC (History)
6 users (show)

Fixed In Version: python client version: 1.3.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-18 02:41:47 UTC


Attachments (Terms of Use)

Description David Mason 2012-02-21 06:34:10 UTC
Description of problem:
When using --push-trans option, the python client submits extracted comments (#.) as though they are translator comments (# ). Translator comments appear to be ignored entirely.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Add comment lines above a message string in a .po file:
# this is a translator comment
#. this is an extracted comment

2.Add or change the translation for the message string
3.Run zanata push --push-trans
4.Download the .po file from the file download page
  
Actual results:
The following line is above the message string:
# this is an extracted comment

Expected results:
The following line is above the message string:
# this is a translator comment

Additional info:
Extracted comments from .pot files appear to be displayed properly. This is likely caused by re-use of the .pot comment parsing code for .po comment parsing.

Comment 1 David Mason 2012-02-21 06:46:34 UTC
Python client also appears not to write translator comments when pulling translations, only writes extracted comments.

Comment 2 Carlos Munoz 2012-02-22 06:33:36 UTC
This doesn't seem to happen with the maven client or file download.

Comment 3 James Ni 2012-02-28 09:32:36 UTC
Hi 
I have commit a change to git-hub to fix this issue, please check 

https://github.com/zanata/zanata-python-client/commit/5d500c75b1a6a8b2e9ca783d89cc262a9a0d1c0a 

to verify this issue.

Comment 4 David Mason 2012-02-29 01:33:52 UTC
Verified for commit 5d500c75b1a6a8b2e9ca783d89cc262a9a0d1c0a

Comment 5 Ding-Yi Chen 2012-03-01 07:38:48 UTC
Python client 1.3.4 still not outputting translator comments.

Comment 6 James Ni 2012-03-01 08:25:22 UTC
Hi Ding

I think python client 1.3.4 doesn't include this change, you need to verify it with latest code. I am sorry about that, i will try to release a new version to include this modification soon.

Comment 7 Joyce Chang 2012-05-15 04:44:54 UTC
hi James,

I have tested it with python client version: 1.3.5-6-ga461. It can now generate translator comment when downloading .po via web UI. But it still doesn't output translator comment when pulling translation.

Comment 8 James Ni 2012-05-15 07:59:48 UTC
hi Joyce, 

Thanks a lot, i have test again, it is true that python client doesn't output translator comment when pulling translation. I made a fix and commit to git-hub, please check out source code on 

https://github.com/zanata/zanata-python-client/commit/118e4062d15b98fe1bf4e1fd27dcc623fbbd7f40

Thanks

Comment 9 Joyce Chang 2012-05-15 23:23:35 UTC
thanks james, all good now!

verified with zanata python client version: 1.3.5-8-g118e

Comment 10 Fedora Update System 2012-06-13 05:38:38 UTC
zanata-python-client-1.3.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc16

Comment 11 Fedora Update System 2012-06-13 05:39:16 UTC
zanata-python-client-1.3.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.el5

Comment 12 Fedora Update System 2012-06-13 05:39:48 UTC
zanata-python-client-1.3.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc17

Comment 13 Fedora Update System 2012-06-13 05:40:22 UTC
zanata-python-client-1.3.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc15

Comment 14 Fedora Update System 2012-06-13 05:40:57 UTC
zanata-python-client-1.3.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.el6

Comment 15 Fedora Update System 2012-06-15 00:19:09 UTC
Package zanata-python-client-1.3.7-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zanata-python-client-1.3.7-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9357/zanata-python-client-1.3.7-1.fc16
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2012-06-15 02:15:28 UTC
Package zanata-python-client-1.3.7-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing zanata-python-client-1.3.7-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6156/zanata-python-client-1.3.7-1.el6
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2012-07-17 17:30:37 UTC
zanata-python-client-1.3.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.